Bug 534327 - (RHQ-1134) make meas data purge intervals configurable
make meas data purge intervals configurable
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 15:21 EST by John Mazzitelli
Modified: 2014-05-02 16:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-02 16:21:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-11-19 15:21:00 EST
make these configurable via Admin>ServerConfiguration if possible:

        <!-- Default data storage options -->
        <!-- Default 2 days -->
        <data ID="25" PROPERTY_KEY="CAM_DATA_PURGE_RAW"
              PROPERTY_VALUE="172800000" DEFAULT_PROPERTY_VALUE="172800000"
              FREAD_ONLY="FALSE"/>
        <!-- Default 14 days -->
        <data ID="26" PROPERTY_KEY="CAM_DATA_PURGE_1H"
              PROPERTY_VALUE="1209600000" DEFAULT_PROPERTY_VALUE="1209600000"
              FREAD_ONLY="FALSE"/>
        <!-- Default 31 days -->
        <data ID="27" PROPERTY_KEY="CAM_DATA_PURGE_6H"
              PROPERTY_VALUE="2678400000" DEFAULT_PROPERTY_VALUE="2678400000"
              FREAD_ONLY="FALSE"/>
        <!-- Default 1 year -->
        <data ID="28" PROPERTY_KEY="CAM_DATA_PURGE_1D"
              PROPERTY_VALUE="31536000000" DEFAULT_PROPERTY_VALUE="31536000000"
              FREAD_ONLY="FALSE"/>
Comment 1 Red Hat Bugzilla 2009-11-10 15:24:43 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1134
Comment 2 wes hayutin 2010-02-16 12:08:23 EST
mass add of key word FutureFeature to help track

Note You need to log in before you can comment on or make changes to this bug.